<template>
  <div class="todo-component">
    <div class="input-section">
      <input-component
        :place-holder="placeHolder"
        :label="placeHolder"
        class="todo-input"
        v-model="todoText"
      />
      <button-component
        :button-content="submit"
        @click="addTodo"
      />
    </div>
    <todo-list
      class="list"
    />
  </div>
</template>

<script>
import headComponent from './UI/head-component'
import ButtonComponent from './UI/button-component'
import inputComponent from './UI/input-component'
import todoList from './todolist/todo-list'

export default {
  name: 'todo-component',
  components: {
    ButtonComponent,
    headComponent,
    inputComponent,
    todoList
  },
  methods: {
    addTodo () {
      if (!this.todoText) {
        return
      }
      const item = {
        id: Date(),
        todo: this.todoText,
        done: false
      }
      this.todoText = ''
      this.$store.commit('addTodo', item)
    }
  },
  data: () => {
    return {
      submit: 'Add',
      placeHolder: 'Your todo',
      todoText: ''
    }
  }
}
</script>

<style scoped>
.todo-component {
  padding-top: 30px;
}

.input-section {
  display: flex;
  justify-content: center;
  margin-top: 15px;
}

.todo-input {
  margin-right: 10px;
  width: 400px;
}

.list {
  margin-top: 30px;
}

@media screen and (max-width: 1200px) {
  .todo-input {
    width: 300px;
  }
}

@media screen and (max-width: 570px) {
  .todo-input {
    width: 250px;
    margin-right: 15px;
  }
}

</style>
